//
//  StreamMonitorPacket.h
//  GlowWorm
//
//  Created by Curtis Jones on 2007.02.26.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GlowWormPckt.h>


@interface StreamMonitorPacket : NSObject
{
	uint32_t mVert;
	
	NSMutableString * mHead;
	NSMutableString * mByte;
	NSMutableString * mData;
	NSMutableString * mAscii;
	
	NSTextField * mHeadTxt;
	NSTextField * mByteTxt;
	NSTextField * mDataTxt;
	NSTextField * mAsciiTxt;
	
	GlowWormPckt * mPckt;
}

- (id)initWithOffset:(uint32_t)offs andPckt:(GlowWormPckt *)aPckt;
- (id)initWithOffset:(uint32_t)offs data:(NSData *)data;

- (void)setupViews:(uint32_t)vertOffs view:(NSView *)aView;
- (int)height;

@end
